Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.spacesPersonalization.target
Class GroupForPersonalization

    java.lang.Object
      org.esupportail.portal.channels.CStockage.userManagement.AbstractUser
          org.esupportail.portal.channels.CStockage.userManagement.Group
              org.esupportail.portal.channels.CStockage.spacesPersonalization.target.GroupForPersonalization

public class GroupForPersonalization
extends Group

Id: GroupForPersonalization.java,v 1.0 7 oct. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: GroupForPersonalization Original Author: Yohan Colmant Represents a group for the management during the personalization

Constructor Summary
`GroupForPersonalization()` Default constructor
`GroupForPersonalization(org.jasig.portal.groups.EntityGroupImpl group)` Constructor
`GroupForPersonalization(java.lang.String hierarchy)` Constructor
`GroupForPersonalization(java.lang.String key, java.lang.String displayName)` Constructor

Method Summary
`java.lang.Object` | `clone()` Clone this object to another similary one
`boolean` | `equals(java.lang.Object o)` Compare this object to another one
`Personalization` | `getPersonalization()`
`java.lang.String` | `toString()` Return a String from this user

Methods inherited from class org.esupportail.portal.channels.CStockage.userManagement.Group
`getGroupHierarchy, setGroupHierarchy`

Methods inherited from class org.esupportail.portal.channels.CStockage.userManagement.AbstractUser
`getDisplayName, getKey, setDisplayName, setKey`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupForPersonalization

    public GroupForPersonalization()

  Default constructor

### GroupForPersonalization

    public GroupForPersonalization(java.lang.String key,
                                   java.lang.String displayName)
                            throws ServerException

  Constructor

Parameters:
  `key` - the group key
  `displayName` - The displayed group name
Throws:
  `ServerException`

### GroupForPersonalization

    public GroupForPersonalization(org.jasig.portal.groups.EntityGroupImpl group)
                            throws ServerException

  Constructor

Parameters:
  `group` - this portal group value
Throws:
  `ServerException`

### GroupForPersonalization

    public GroupForPersonalization(java.lang.String hierarchy)
                            throws ServerException

  Constructor

Parameters:
  `hierarchy` - this portal group hierarchy in this form: G1/G2/G3 where G1 is the root
Throws:
  `ServerException`

Method Detail

### getPersonalization

    public Personalization getPersonalization()

  Returns:
    Returns the personalization.

### clone

    public java.lang.Object clone()

  Clone this object to another similary one

  Overrides:
    `clone` in class `Group`
  Returns:
    this cloned object

### equals

    public boolean equals(java.lang.Object o)

  Compare this object to another one

  Overrides:
    `equals` in class `AbstractUser`
  Parameters:
    `o` - the object to compare
  Returns:
    true if equals, false else

### toString

    public java.lang.String toString()

  Return a String from this user

  Overrides:
    `toString` in class `Group`
  Returns:
    a String from this user

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD